The Spring Framework

## org.springframework.remoting.support
Interface RemoteInvocationFactory

All Known Implementing Classes:
  DefaultRemoteInvocationFactory

    public interface RemoteInvocationFactory

Strategy interface for creating a `RemoteInvocation` from an AOP Alliance `MethodInvocation`.

Used by `RmiClientInterceptor` (for RMI invokers) and by `HttpInvokerClientInterceptor`.

Since:
  1.1
Author:
  Juergen Hoeller
See Also:
  `DefaultRemoteInvocationFactory`, `RemoteInvocationBasedAccessor.setRemoteInvocationFactory(org.springframework.remoting.support.RemoteInvocationFactory)`, `RemoteInvocationBasedAccessor.setRemoteInvocationFactory(org.springframework.remoting.support.RemoteInvocationFactory)`

Method Summary
`RemoteInvocation` `createRemoteInvocation(MethodInvocation methodInvocation)` Create a serializable RemoteInvocation object from the given AOP MethodInvocation.

Method Detail

### createRemoteInvocation

    RemoteInvocation createRemoteInvocation(MethodInvocation methodInvocation)

  Create a serializable RemoteInvocation object from the given AOP MethodInvocation.

  Can be implemented to add custom context information to the remote invocation, for example user credentials.

  Parameters:
    `methodInvocation` - the original AOP MethodInvocation object
  Returns:
    the RemoteInvocation object

The Spring Framework

Copyright © 2002-2008 The Spring Framework.